//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
#include <jni.h>
#include "PromptJni.h"
#include <string>
#include <iostream>

JNIEXPORT jstring JNICALL Java_PromptJni_getLine(JNIEnv *env, jobject obj, jstring prompt)
{
    std::string s;
    const char *str = env->GetStringUTFChars(prompt, 0);
	std::cout << str;
    env->ReleaseStringUTFChars(prompt, str);
    std::getline(std::cin, s);
    return env->NewStringUTF(s.c_str());
}
