//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace ComplexReferenceType 
{
//  class Complex 
	struct Complex 
	{
		public double real;
		public double imag;
	}
	class ProcessComplex 
	{
		public static void Process(Complex n) 
		{
			Console.WriteLine("Process: {0},{1}", n.real, n.imag);
			n.real = 10;
			n.imag = 20;
		}
		public static void Main(String[] args) 
		{
			Complex c = new Complex();
			c.real = 1;
			c.imag = 2;
			Console.WriteLine("Before Process: {0},{1}", c.real, c.imag);
			Process(c);
			Console.WriteLine("After Process: {0},{1}", c.real, c.imag);
			c.real = 1;
			c.imag = 2;
			Complex d = c;
			Console.WriteLine("Prior to change: {0},{1}", c.real, c.imag);
			d.real = 30;
			d.imag = 40;
			Console.WriteLine("After change: {0},{1}", c.real, c.imag);
		}
	}
}
