//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

class Complex {
    private double real;
    private double imag;
	public Complex()
	{
		this.real = 0;
		this.imag = 0;
	}
	public Complex(double real, double imag)
	{
		this.real = real;
		this.imag = imag;
	}
	public double Real
	{
		get
		{
			return real;
		}
		set
		{
			real = value;
		}
	}
	public double Imag
	{
		get
		{
			return imag;
		}
		set
		{
			imag = value;
		}
	}
	public override string ToString()
	{
		return "(" + real + "," + imag + ")";
	}
}

class ComplexPropertyMain
{
 	public static void Main(String[] args)
	{
        Complex c = new Complex(1,2);
        Console.WriteLine("Complex number:    " + c);
		Console.WriteLine("        real:      " + c.Real);
		Console.WriteLine("        imaginary: " + c.Imag);
	}
}
